WKS4ParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WKS4ParserInternal::State Struct Reference

the state of WKS4Parser More...

## Public Member Functions
| State (libwps_tools_win::Font::Type fontType, char const *password)
| constructor More...
bool | getColor (int id, WPSColor &color) const
| returns a color corresponding to an id More...
libwps_tools_win::Font::Type | getDefaultFontType () const
| return the default font style More...
WPSFont | getDefaultFont () const
| returns a default font (Courier12) with file's version to define the default encoding */ More...

## Public Attributes
long | m_eof
| the last file position More...
libwps::WPSCreator | m_creator
| the application More...
bool | m_isSpreadsheet
| boolean to know if the file is a spreadsheet file or a database file More...
libwps_tools_win::Font::Type | m_fontType
| the user font type More...
int | m_version
| the file version More...
bool | m_hasLICSCharacters
| flag to know if the character More...
std::vector< Font > | m_fontsList
| the fonts list More...
WPSPageSpan | m_pageSpan
| the actual document size More...
int | m_actPage
| the actual page More...
int | m_numPages
librevenge::RVNGString | m_headerString
| the header string More...
librevenge::RVNGString | m_footerString
| the footer string More...
char const * | m_password
| the password (if known) More...
bool | m_isEncrypted
| true if the file is encrypted More...
bool | m_isDecoded
| true if the main stream has been decoded More...

## Private Member Functions
| State (State const &)=delete
State & | operator= (State const &)=delete

## Detailed Description

the state of WKS4Parser

## Constructor & Destructor Documentation

## ◆ State() [1/2]

WKS4ParserInternal::State::State | ( | libwps_tools_win::Font::Type | fontType,
|  | char const * | password
| ) |  |
| inline

constructor

## ◆ State() [2/2]

WKS4ParserInternal::State::State | ( | State const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ getColor()

bool WKS4ParserInternal::State::getColor | ( | int | id,
|  | WPSColor & | color
| ) |  | const

returns a color corresponding to an id

## ◆ getDefaultFont()

WPSFont WKS4ParserInternal::State::getDefaultFont | ( |  | ) | const
| inline

returns a default font (Courier12) with file's version to define the default encoding */

## ◆ getDefaultFontType()

libwps_tools_win::Font::Type WKS4ParserInternal::State::getDefaultFontType | ( |  | ) | const
| inline

return the default font style

## ◆ operator=()

State& WKS4ParserInternal::State::operator= | ( | State const & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_actPage

int WKS4ParserInternal::State::m_actPage

the actual page

## ◆ m_creator

libwps::WPSCreator WKS4ParserInternal::State::m_creator

the application

## ◆ m_eof

long WKS4ParserInternal::State::m_eof

the last file position

## ◆ m_fontsList

std::vector<Font> WKS4ParserInternal::State::m_fontsList

the fonts list

## ◆ m_fontType

libwps_tools_win::Font::Type WKS4ParserInternal::State::m_fontType

the user font type

## ◆ m_footerString

librevenge::RVNGString WKS4ParserInternal::State::m_footerString

the footer string

## ◆ m_hasLICSCharacters

bool WKS4ParserInternal::State::m_hasLICSCharacters

flag to know if the character

## ◆ m_headerString

librevenge::RVNGString WKS4ParserInternal::State::m_headerString

the header string

## ◆ m_isDecoded

bool WKS4ParserInternal::State::m_isDecoded

true if the main stream has been decoded

## ◆ m_isEncrypted

bool WKS4ParserInternal::State::m_isEncrypted

true if the file is encrypted

## ◆ m_isSpreadsheet

bool WKS4ParserInternal::State::m_isSpreadsheet

boolean to know if the file is a spreadsheet file or a database file

## ◆ m_numPages

int WKS4ParserInternal::State::m_numPages

## ◆ m_pageSpan

WPSPageSpan WKS4ParserInternal::State::m_pageSpan

the actual document size

## ◆ m_password

char const* WKS4ParserInternal::State::m_password

the password (if known)

## ◆ m_version

int WKS4ParserInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- WKS4.cpp